Bug 163925 - CAN-2005-2097 kpdf DoS
CAN-2005-2097 kpdf DoS
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdegraphics (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-07-21 20:41 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-671
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-09 12:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-07-21 20:41:18 EDT
+++ This bug was initially created as a clone of Bug #163918 +++

A broken PDF file is will create a file in /tmp and continue to fill it until
the filesystem is full.

The patch for this issue is attachment 117043 [details]
The demo exploit for this issue is attachment 117042 [details]
Comment 1 Ngo Than 2005-07-27 10:28:21 EDT
it's fixed in kdegraphics-3.3.1-3.4.
Comment 3 Josh Bressers 2005-08-09 11:29:20 EDT
Lifting embargo
Comment 4 Red Hat Bugzilla 2005-08-09 12:45:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.